Summary: GNOME terminal
Name: gnome-terminal
Version: 2.10.0
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-terminal-32.png
Source2: gnome-terminal-16.png
# (fc) 2.0.0-2mdk add -geometry support
Patch0:  gnome-terminal-2.6.1-geometry.patch.bz2
#gw http://bugzilla.gnome.org/show_bug.cgi?id=138609
#fix next-tab on last tab
Patch1: gnome-terminal-2.7.2-next-tab.patch.bz2
# (fc) 2.8.0-2mdk change default background (grey on black)
Patch2:	gnome-terminal-2.10.0-background.patch.bz2
# (fc) 2.8.2-4mdk fix DND from konqueror (hadess)
Patch3: gnome-terminal-2.8.2-konquerordnd.patch.bz2
# (fc) 2.8.2-5mdk fix i18n init for windows name
Patch4: gnome-terminal-2.8.2-i18n.patch.bz2
# (fc) 2.10.0-1mdk fix po files (CVS)
Patch5: gnome-terminal-2.10.0-fixpo.patch.bz2
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gtk+2.0 >= 2.5.4
BuildRequires: gettext
BuildRequires: vte-devel >= 0.10.4
BuildRequires: gtk+2-devel >= 2.5.4
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: startup-notification-devel >= 0.8
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
PreReq: scrollkeeper >= 0.3

%description
GNOME Terminal

%prep
%setup -q
%patch0 -p1 -b .geometry
%patch1 -p0 -b .next-tab
%patch2 -p1 -b .background
%patch3 -p1 -b .konquerordnd
%patch4 -p1 -b .i18n
%patch5 -p1 -b .fixpo

%build
%configure2_5x --with-widget=vte

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/gnome-terminal" icon="gnome-terminal.png" longtitle="Terminal of the GNOME desktop" title="GNOME Terminal" needs="gnome" section="Terminals" startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT{%_miconsdir,%_liconsdir}
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/gnome-terminal.png
cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/gnome-terminal.png
cp -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/gnome-terminal.png $RPM_BUILD_ROOT%{_liconsdir}/gnome-terminal.png

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-terminal.schemas > /dev/null
%{update_menus}
if [ "$1" = "2" ]; then
		update-alternatives --remove xvt %{_bindir}/gnome-terminal
fi

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-terminal.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS README NEWS TODO HACKING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-terminal
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/gnome-terminal
%{_datadir}/omf/gnome-terminal/*-C.omf
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- Patch5 (CVS): fix po files
- Regenerate patch 2 to patch .schemas.in

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Patch4: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-4mdk 
- Patch3 (hadess): fix DND from konqueror

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- No longer install xvt alternative

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Wed Dec  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix gconf schema deinstallation
- fix omf file listing
- fix installation
- New release 2.8.2

* Mon Nov 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk
- Patch2: change default colors (grey on black)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0
- Remove patch2 (merged upstream)

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk
- Update patch0 to handle -e like other term emulator when called through xvt

* Mon Jun 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix next-tab misbehaviour
- reallow libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Regenerate patch0
- Remove patch1 (merged upstream)

* Wed Feb 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Patch1 (CVS): workaround icewm bug to prevent crash

* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- drop patch 2 (obsolete)
- drop merged patch 1
- new version

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-2mdk
- Patch1 (CVS): fix french translation (bug #5611)
- Patch2 : fix crash when new profile contains space (bug #5632)

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch2 (merged upstream)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-4mdk
- Fix BuildRequires

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 2.3.2-3mdk
- Fix menu entry

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-2mdk
- tag omf files as lang files

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Regenerate patch 0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Rebuild against latest openssl
- Add yelp cache generation

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Add startup-notify support

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Regenerate patch0

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Use VTE instead of ZVT now
- Remove patches 1 (no longer needed), 3 (merged upstream)
- Regenerate patch2

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-7mdk
- Update patch0 to fix crash when using gnome-terminal as xvt & -geometry option

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-6mdk
- Remove obsolete options in menu entry

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-5mdk
- Patch3 (rawhide): fix keyboard handling

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-4mdk
- Fix menu entry

* Wed Aug 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Fix dependency on libzvt, it was incorrect

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch2 (rawhide): get "same font as other applications" from 
  the monospace_font GConf preference (Rawhide)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Force depencency on libzvt > 2.0.0-3mdk to ensure we have the i18n branch
- Patch1: fix font selection dialog (needed with libzvt i18n branch)

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-5mdk
- BuildRequires

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Remove NO_XALF menu entry

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Recompiled against libzvt 2.0.0

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Add xvt support
- Patch0: add support for -geometry option

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.7-1mdk
- Release 1.9.7

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.6-1mdk
- Release 1.9.6

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.5-1mdk
- Release 1.9.5

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.3-1mdk
- Release 1.9.3

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.2-1mdk
- Initial Mdk package


# end of file
